Support » Plugin: Popups for Divi » Popups didn’t show on WordPress 5.5

  • Resolved tungpham42

    (@tungpham42)


    The plugin has been broken since I upgraded to WordPress 5.5 and Divi latest version. Please fix ASAP as this website is a production site.

    The page I need help with: [log in to see the link]

Viewing 3 replies - 1 through 3 (of 3 total)
  • Hello @tungpham42,

    Apologies for all the inconvenience you had with our plugin.

    I can see two errors, but they are not related at all to our plugins:

    The first one seems to be caused by some Divi setting (“Cannot read property ‘concat’ of undefined”).
    The second error is from the sitepress-multilingual (or “WPML”) plugin.

    When looking closer, you can see that the website loads 2 different versions of jQuery. The first version is the official WordPress version (jQuery 1.12.4, which was released in 2016 but is the one that WordPress still uses today).
    Somewhere later in the code another script loads jQuery 3.5.1 (much younger version, from May 2020)

    I assume that both errors are related to that duplicate jQuery script, because both Divi and WPML are designed to use the WP version of jQuery. Also, the second error is obvious: As you see in the network log, the jquery.cookie function is loaded into the original jQuery library, but then jquery 3.5.1 overwrites that library and removes jquery.cookie function again.

    Please get back to me, if you have any other questions.

    Regards,
    Syed

    Thread Starter tungpham42

    (@tungpham42)

    Thank you very much. jQuery conflict was exactly the reason. I removed jQuery latest version and everything works fine now.

    Best regards,

    Hello @tungpham42 🙂

    Glad things worked out! Please feel free to get back to us, in-case of any query.

    Regards,
    Syed

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘Popups didn’t show on WordPress 5.5’ is closed to new replies.